/*
 * MP3 Player Library 2.0
 * (C) 1999 A'rpi/Astral&ESP-team
 *
 * Screwed up by Vladimir A. Smirnov, 2005-2006.
 */

#ifndef	MP3_H
#define MP3_H

#include "mp3ctx.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
	MP3_context_p MP3_CreateContext(int (*audio_read)(MP3_context_p,char*,int));
	int			  MP3_DecodeFrame(MP3_context_p ctx,unsigned char *hova,short single);
	void		  MP3_Close(MP3_context_p ctx);
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* !MP3_H */
